Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.event.common
Class EventGenerationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.event.common.EventGenerationException

public class EventGenerationException
extends java.lang.Exception

Class for exceptions generated by events.

Author:
  Copyright (c) 1996-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`EventGenerationException(java.lang.String s)` Constructs an EventGenerationException with the specified string.
`EventGenerationException(java.lang.String s, boolean noop)` Constructs an EventGenerationException with the specified string and sets options.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventGenerationException

    public EventGenerationException(java.lang.String s)

  Constructs an EventGenerationException with the specified string.

  Parameters:
    `s` - String msg

### EventGenerationException

    public EventGenerationException(java.lang.String s,
                                    boolean noop)

  Constructs an EventGenerationException with the specified string and sets options.

  Parameters:
    `s` - String msg
    `noop` - Options

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD